<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{enterExitBean.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>ثبت ورود و خروج</title>



    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend="ورود و خروج" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true" />


                <p:fieldset legend="ثبت ورود و خروج" style="margin-bottom:20px" id="feildset1">
                    <p:panelGrid id="productAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >
                        <p:outputLabel value="سازمان:"/>
                        <p:selectOneMenu id="send" value="#{enterExitBean.insertEnterExitEntity.uniName}" style="width:152px">
                            <f:selectItem itemLabel="سازمان را انتخاب کنید" itemValue="" noSelectionOption="true"/>
                            <f:selectItems value="#{enterExitBean.unitsName}"/>
                        </p:selectOneMenu>

                        <p:outputLabel value="کد پرسنلی:"/>
                        <p:inputText  value="#{enterExitBean.insertEnterExitEntity.personalCode}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                        <p:outputLabel for="dayDate" value="تاریخ:" />
                        <p:calendar id="dayDate" value="#{enterExitBean.insertEnterExitEntity.date}" showIcon="true" />

                        <p:outputLabel for="dayDate" value="ساعت ورود:" />
                        <p:inputText  value="#{enterExitBean.insertEnterExitEntity.enterTime}" />

                        <p:outputLabel for="dayDate" value="ساعت خروج:" />
                        <p:inputText  value="#{enterExitBean.insertEnterExitEntity.exitTime}" />

                    </p:panelGrid>

                    <p:spacer height="10"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت" actionListener="#{enterExitBean.insertEnterExit}"
                                         update=":addForm feildset1">
                        </p:commandButton>
                    </p:panel>
                    <p:spacer height="10"/>


                    <p:fieldset legend=" نمایش ورود و خروج" style="margin-bottom:20px">


                        <p:fieldset legend="جستجوی ورود و خروج">

                            <p:panel styleClass="searchBox">
                                <p:panelGrid id="showemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                    <p:outputLabel value="کد پرسنلی:" style="margin-left: 5px;" />
                                    <p:inputText value="#{enterExitBean.personalCode}" id="nameSearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                                    <p:outputLabel for="butqeeton" value="تاریخ:" />
                                    <p:calendar id="butqeeton" value="#{enterExitBean.date}" showIcon="true" />

                                    <p:commandButton id="searchButton" value="جستجو"
                                                     actionListener="#{enterExitBean.searchEnterExit}"
                                                     update="@form">
                                    </p:commandButton>
                                </p:panelGrid>
                            </p:panel>
                            <p:spacer height="10"/>

                        </p:fieldset>
                        <p:spacer height="10"/>

                        <p:panel styleClass="searchBox">

                            <p:panelGrid id="empAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                                <p:outputLabel value="نام سازمان:"/>
                                <p:inputText  value="#{enterExitBean.searchEnterExitEntity.uniName}" disabled="true"/>

                                <p:outputLabel value="کد پرسنلی:"/>
                                <p:inputText  value="#{enterExitBean.searchEnterExitEntity.personalCode}" disabled="true" />

                                <p:outputLabel for="dayDate1" value="تاریخ:" />
                                <p:calendar id="dayDate1" value="#{enterExitBean.searchEnterExitEntity.date}" showIcon="true" disabled="true"/>

                                <p:outputLabel for="dayDate" value="ساعت ورود:" />
                                <p:inputText  value="#{enterExitBean.searchEnterExitEntity.enterTime}" disabled="true"/>

                                <p:outputLabel for="dayDate" value="ساعت خروج:" />
                                <p:inputText  value="#{enterExitBean.searchEnterExitEntity.exitTime}" disabled="true"/>

                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>
                    </p:fieldset>

                    <p:fieldset legend=" ویرایش ورود و خروج" style="margin-bottom:20px">


                        <p:fieldset legend="جستجوی ">

                            <p:panel styleClass="searchBox">
                                <p:panelGrid id="seditemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                    <p:outputLabel value="کد پرسنلی:" style="margin-left: 5px;"/>
                                    <p:inputText value="#{enterExitBean.editPersonalCode}" id="empsearch" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                                    <p:outputLabel for="buutqeeton" value="تاریخ:" />
                                    <p:calendar id="buutqeeton" value="#{enterExitBean.editDate}" showIcon="true" />

                                    <p:commandButton id="searchButton3" value="جستجو"
                                                     actionListener="#{enterExitBean.searchEnterExitForEdit}"
                                                     update="@form">
                                    </p:commandButton>
                                </p:panelGrid>
                            </p:panel>
                            <p:spacer height="10"/>

                        </p:fieldset>
                        <p:spacer height="10"/>

                        <p:panel styleClass="searchBox">

                            <p:panelGrid id="empEdit" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                                <p:outputLabel value="نام سازمان:"/>
                                <p:inputText  value="#{enterExitBean.editEnterExitEntity.uniName}" disabled="true"/>

                                <p:outputLabel for="dayDate21" value="تاریخ:" />
                                <p:calendar id="dayDate21" value="#{enterExitBean.editEnterExitEntity.date}" showIcon="true" />

                                <p:outputLabel for="dayDate" value="ساعت ورود:" />
                                <p:inputText  value="#{enterExitBean.editEnterExitEntity.enterTime}" />

                                <p:outputLabel for="dayDate" value="ساعت خروج:" />
                                <p:inputText  value="#{enterExitBean.editEnterExitEntity.exitTime}" />
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                        <p:panel styleClass="buttonBox">
                            <p:commandButton value="ویرایش" actionListener="#{enterExitBean.editEnterExit}"
                                             update=":addForm">
                            </p:commandButton>
                            <p:commandButton value="حذف" actionListener="#{enterExitBean.deleteEnterExit}"
                                             update=":addForm">
                            </p:commandButton>
                        </p:panel>
                    </p:fieldset>



                </p:fieldset>
            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
